Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# sprintfToken Struct Reference

`#include <header_internal.h>`

## Public Types
enum | { PTOK_NONE = 0, PTOK_TAG, PTOK_ARRAY, PTOK_STRING, PTOK_COND }
## Data Fields
enum sprintfToken:: { ... } | type
union {
struct {
sprintfToken format
int numTokens
} array
sprintfTag tag
struct {
char * string
int len
} string
struct {
sprintfToken ifFormat
int numIfTokens
sprintfToken elseFormat
int numElseTokens
sprintfTag tag
} cond
} | u

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  PTOK_NONE |
  PTOK_TAG |
  PTOK_ARRAY |
  PTOK_STRING |
  PTOK_COND |
Definition at line 97 of file header_internal.h.

## Field Documentation

struct { ... } sprintfToken::array

| Referenced by freeFormat(), parseFormat(), and singleSprintf().

struct { ... } sprintfToken::cond

| Referenced by freeFormat(), parseExpression(), and singleSprintf().

sprintfToken sprintfToken::elseFormat

| Definition at line 117 of file header_internal.h. Referenced by freeFormat(), parseExpression(), and singleSprintf().

sprintfToken sprintfToken::format

| Definition at line 106 of file header_internal.h. Referenced by freeFormat(), parseFormat(), and singleSprintf().

sprintfToken sprintfToken::ifFormat

| Definition at line 115 of file header_internal.h. Referenced by freeFormat(), parseExpression(), and singleSprintf().

int sprintfToken::len

| Definition at line 112 of file header_internal.h. Referenced by parseFormat(), and singleSprintf().

int sprintfToken::numElseTokens

| Definition at line 118 of file header_internal.h. Referenced by freeFormat(), parseExpression(), and singleSprintf().

int sprintfToken::numIfTokens

| Definition at line 116 of file header_internal.h. Referenced by freeFormat(), parseExpression(), and singleSprintf().

int sprintfToken::numTokens

| Definition at line 107 of file header_internal.h. Referenced by freeFormat(), parseFormat(), and singleSprintf().

struct { ... } sprintfToken::string

char* sprintfToken::string

| Definition at line 111 of file header_internal.h. Referenced by parseFormat(), and singleSprintf().

struct sprintfTag sprintfToken::tag

| Definition at line 119 of file header_internal.h.

struct sprintfTag sprintfToken::tag

| Definition at line 109 of file header_internal.h. Referenced by parseExpression(), parseFormat(), and singleSprintf().

enum { ... } sprintfToken::type

| Referenced by parseExpression(), parseFormat(), and singleSprintf().

union { ... } sprintfToken::u

| Referenced by freeFormat(), parseExpression(), parseFormat(), and singleSprintf().

The documentation for this struct was generated from the following file:

- lib/header_internal.h